# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::LoadCallback Class Reference

Defines an operation to be exectued to a ResourceDatabase as soon as its loaded, see also LoadWriterManager, WriteCallback. More...

`#include <LoadWriterManager.hpp>`

Inheritance diagram for vl::LoadCallback:

List of all members.

## Public Member Functions

virtual void | operator() (ResourceDatabase *db)=0

## Detailed Description

Defines an operation to be exectued to a ResourceDatabase as soon as its loaded, see also LoadWriterManager, WriteCallback.

Definition at line 44 of file LoadWriterManager.hpp.

## Member Function Documentation

virtual void vl::LoadCallback::operator() | ( | ResourceDatabase * | db ) | `[pure virtual]`

Implemented in vl::GeometryLoadCallback.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/LoadWriterManager.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:07.
Permission is granted to use this page to write and publish articles regarding Visualization Library.